# -*- coding: utf-8 -*-
import clr
import sys
import System
import re

#簡易正規表達式
def Simple_Regular(RegularStr,String,index=0):
    STR=re.search(RegularStr,String)
    if STR is None:
        return False
    else:
        return STR.group(index)



try:
    sys.path.append(UI.StartupPath+'\Script\Module\dll')
    clr.AddReferenceToFile("EasyScript.dll")

    from EasyScript import *
    zkm = EasyScript()


    UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
    UI.UpdateLog("※　　　【免空科學研究所　ｔｉｇｅｒｍａｘ．ｄｙｎｄｎｓ．ｏｒｇ】　　　※")
    UI.UpdateLog("※　　　～㊣　　　　　　　　　ＺＫＭ　　製作分享　　　　　　　㊣～　　　※")
    UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
    UI.UpdateLog("【腳本更新】：2013.03.13 panda0305 撰寫腳本",2)
    UI.UpdateLog("【上傳空間】：Uppix.net",2)
    UI.UpdateLog("【上傳大小】：5 MB",2)
    UI.UpdateLog("【砍檔時間】：未知",2)
    UI.UpdateLog("【腳本功能】：無帳號上傳",2)
    UI.UpdateLog("【腳本備註】：支援各32/64位元Windows系列",1)
    UI.UpdateLog("=========================================",2)
    UI.UpdateLog("上傳圖片檔案至 uppix.net..",2)
    UI.UpdateLog("開始上傳....",4)
    HTTP.AddUpParam("formup","1")
    HTTP.AddUpParam("submit","")
    HTTP.AddUpParam("Upload","Submit Query")
    HTTP.AddFileReference("myimage","image/jpeg")
    HTML=UI.UpFile("http://uppix.net/")
    UI.UpdateLog("上傳完成，準備取得連結....",2)
    if HTML!=False:
        Link=zkm.GetstrToVariable(HTML,'name="directlink" value="','"',1)
        BBcode="[img]"+Link+"[/img]"
        UI.UpdateLog("連結1為直接連結："+Link,3)
        UI.UpdateLog("連結2為BBcode："+BBcode,3)
        UI.AddShareLink(Link+"^"+BBcode)
        UI.ProceSuccess()
    else:
        UI.UpdateLog("上傳失敗無法取得連結",3)
        UI.ProceFalse()
except Exception as e:
    UI.UpdateLog(e.message)
    UI.ProceFalse()